### Method

# Ide Pipeline create_launcher

#### Declaration

    IdeSubprocessLauncher*
    ide_pipeline_create_launcher (
      IdePipeline* self
      GError** error
    )

#### Description

This is a convenience function to create a new `IdeSubprocessLauncher` using the configuration and runtime associated with the pipeline.

Available since: | 3.32

#### Return value

Returns: | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.